#ifndef PQFRAME_H
#define PQFRAME_H

#include <QFrame>
#include "classes/pqwidget.h"

class PQFrame;
class PQFrame : public QFrame {
    Q_OBJECT
    PQ_WIDGET_EX(QFrame)

    Q_PROPERTY(int frameShape READ frameShape WRITE setFrameShape)
    Q_PROPERTY(int frameShadow READ frameShadow WRITE setFrameShadow)
    Q_PROPERTY(int lineWidth READ lineWidth WRITE setLineWidth)

public:
    Q_INVOKABLE explicit PQFrame(QWidget* parent = 0);
    virtual ~PQFrame();

    Q_INVOKABLE int frameShape();
    Q_INVOKABLE int frameShadow();
    Q_INVOKABLE int lineWidth();

public Q_SLOTS:
    Q_INVOKABLE void setFrameShape(int shape);
    Q_INVOKABLE void setFrameShadow(int shadow);
    Q_INVOKABLE void setLineWidth(int width);

    PQ_ON_SIGNAL_DECL_START {
        PQWIDGET_ON_SIGNALS();
    } PQ_ON_SIGNAL_DECL_END
};

#endif // PQFRAME_H
